/*
 * Copyright 2006 Phidgets Inc.  All rights reserved.
 */

package com.phidgets.event;

import com.phidgets.Phidget;

public class WeightChangeEvent
{
	Phidget source;
	double value;

	public WeightChangeEvent(Phidget source, double value)
	{
		this.source = source;
		this.value = value;
	}

	public Phidget getSource() {
		return source;
	}

	public double getValue() {
		return value;
	}

	public String toString() {
		return source.toString() + " Weight changed to "
		  + value;
	}
}
